## org.gnu.gdk
Class Property

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gdk.Property

public class Property
extends Boxed

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`Property()`

Method Summary
`protected static void` `gdk_property_change(Handle window, int property, int type, int format, int mode, byte[] data, int numElements)`
`protected static void` `gdk_property_delete(Handle window, int property)`
`protected static boolean` `gdk_property_get(Handle window, int property, int type, long offset, long length, int pdelete, int[] actualPropertyType, int[] actualFormat, int[] actualLength, byte[] data)` BEGINNING OF JNI CODE

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Property

    public Property()

Method Detail

### gdk_property_get

    protected static final boolean gdk_property_get(Handle window,
                                                    int property,
                                                    int type,
                                                    long offset,
                                                    long length,
                                                    int pdelete,
                                                    int[] actualPropertyType,
                                                    int[] actualFormat,
                                                    int[] actualLength,
                                                    byte[] data)

  BEGINNING OF JNI CODE

### gdk_property_change

    protected static final void gdk_property_change(Handle window,
                                                    int property,
                                                    int type,
                                                    int format,
                                                    int mode,
                                                    byte[] data,
                                                    int numElements)

### gdk_property_delete

    protected static final void gdk_property_delete(Handle window,
                                                    int property)